FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Terminal::RingBuffer Class Reference

## Public Member Functions
void | change_disp_cols (int dcols, const CharStyle &style)
void | change_disp_rows (int drows, const CharStyle &style)
void | clear (void)
void | clear_disp_rows (int sdrow, int edrow, const CharStyle &style)
void | clear_hist (void)
void | create (int drows, int dcols, int hrows)
int | disp_cols (void) const
int | disp_erow (void) const
void | disp_rows (int val)
int | disp_rows (void) const
int | disp_srow (void) const
int | hist_cols (void) const
int | hist_erow (void) const
void | hist_rows (int val)
int | hist_rows (void) const
int | hist_srow (void) const
void | hist_use (int val)
int | hist_use (void) const
int | hist_use_srow (void) const
bool | is_disp_ring_row (int grow) const
bool | is_hist_ring_row (int grow) const
void | move_disp_row (int src_row, int dst_row)
int | offset (void) const
void | offset_adjust (int rows)
void | resize (int drows, int dcols, int hrows, const CharStyle &style)
Utf8Char * | ring_chars (void)
Utf8Char * | ring_chars (void) const
int | ring_cols (void) const
int | ring_erow (void) const
int | ring_rows (void) const
int | ring_srow (void) const
| RingBuffer (int drows, int dcols, int hrows)
void | scroll (int rows, const CharStyle &style)
Utf8Char * | u8c_disp_row (int drow)
const Utf8Char * | u8c_disp_row (int drow) const
Utf8Char * | u8c_hist_row (int hrow)
const Utf8Char * | u8c_hist_row (int hrow) const
Utf8Char * | u8c_hist_use_row (int hurow)
const Utf8Char * | u8c_hist_use_row (int hurow) const
Utf8Char * | u8c_ring_row (int row)
const Utf8Char * | u8c_ring_row (int row) const

The documentation for this class was generated from the following files:

- Fl_Terminal.H
- Fl_Terminal.cxx